package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Entity;

/**
 * @Description : 报工事务汇总表model
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-11
 * @Modify:
 **/
@Data
@Entity
@Api("报工事务汇总表model")
public class WmsReportTransMasterModel extends BaseBean {
    private static final long serialVersionUID = 5696795930973637987L;
    @ApiParam(value = "实体线")
    private String lineNo;

    @ApiParam(value = "班组名称")
    private String shiftNo;

    @ApiParam(value = "班组描述")
    private String shiftName;

    @ApiParam(value = "报工库区")
    private String zoneNo;

    @ApiParam(value = "零件号")
    private String partNo;

    @ApiParam(value = "零件名称")
    private String partName;

    @ApiParam(value = "报工数量")
    private Double qty;

    public WmsReportTransMasterModel(String organizeCode, String lineNo, String shiftNo, String shiftName,
                                     String zoneNo, String partNo, String partNameRdd, Double qty) {
        this.organizeCode = organizeCode;
        this.lineNo = lineNo;
        this.shiftNo = shiftNo;
        this.shiftName = shiftName;
        this.zoneNo = zoneNo;
        this.partNo = partNo;
        this.partName = partNameRdd;
        this.qty = qty;
    }

    public WmsReportTransMasterModel() {

    }
}
